com.holonplatform.core.datastore.relational

## Interface Aliasable.AliasablePath<T,C extends Aliasable.AliasablePath<T,C>>

- Type Parameters:
    `T` - Path type
    `C` - Concrete aliasable type
  All Superinterfaces:
    Aliasable<C>, DataMappable, Expression, Path<T>, Serializable, TypedExpression<T>
  All Known Subinterfaces:
    Join<T>, RelationalTarget<T>
  Enclosing interface:
    Aliasable<C extends Aliasable<C>>

      public static interface Aliasable.AliasablePath<T,C extends Aliasable.AliasablePath<T,C>>
      extends Aliasable<C>, Path<T>

  Represents an `Aliasable` `Path`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.relational.Aliasable

      `Aliasable.AliasablePath<T,C extends Aliasable.AliasablePath<T,C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.Builder<T,B extends Path.Builder<T,B>>, Path.FinalPath<T>, Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.relational.Aliasable

      `alias, getAlias`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

Copyright © 2019 The Holon Platform. All rights reserved.